Skip to main content

Class VisualizeImageChartRequest.StyleOptions

java.lang.Object
com.gpudb.protocol.VisualizeImageChartRequest.StyleOptions

public static final class VisualizeImageChartRequest.StyleOptions extends Object
A set of string constants for the VisualizeImageChartRequest parameter styleOptions.

Rendering style options for a chart.

  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    static final String
    A character or string which separates per-class values in a class-break style option string.
    static final String
    Point color class break information consisting of three entries: class-break attribute, class-break values/ranges, and point color values.
    static final String
    Point shape class break information consisting of three entries: class-break attribute, class-break values/ranges, and point shape names.
    static final String
    Point size class break information consisting of three entries: class-break attribute, class-break values/ranges, and point size values.
    static final String
     
    static final String
     
    static final String
     
    static final String
     
    static final String
     
    static final String
    Amplitude of horizontal jitter applied to non-numeric x column values.
    static final String
    Amplitude of vertical jitter applied to non-numeric y column values.
    static final String
    A base-10 log scale is applied to the y axis.
    static final String
    If this options is set to FALSE, this endpoint expects request’s min/max values are not yet scaled.
    static final String
    No scale is applied to the y axis.
    static final String
    If this options is set to TRUE, all non-numeric column values are plotted ignoring min_x, max_x, min_y and max_y parameters.
    static final String
    The color of points in the plot represented as a hexadecimal number.
    static final String
    The shape of points in the plot.
    static final String
    The size of points in the plot represented as number of pixels.
    static final String
    Type of x axis scale.
    static final String
    Type of y axis scale.
    static final String
     
    static final String
    An expression or aggregate expression by which non-numeric x column values are sorted, e.g. “avg(price) descending”.
    static final String
    An expression or aggregate expression by which non-numeric y column values are sorted, e.g. “avg(price)”, which defaults to “avg(price) ascending”.
  • Method Summary

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • POINTCOLOR

      public static final String POINTCOLOR
      The color of points in the plot represented as a hexadecimal number. The default value is ‘0000FF’.
    • POINTSIZE

      public static final String POINTSIZE
      The size of points in the plot represented as number of pixels. The default value is ‘3’.
    • POINTSHAPE

      public static final String POINTSHAPE
      The shape of points in the plot. Supported values:The default value is SQUARE.
    • NONE

      public static final String NONE
      No scale is applied to the y axis.
    • CIRCLE

      public static final String CIRCLE
    • SQUARE

      public static final String SQUARE
    • DIAMOND

      public static final String DIAMOND
    • HOLLOWCIRCLE

      public static final String HOLLOWCIRCLE
    • HOLLOWSQUARE

      public static final String HOLLOWSQUARE
    • HOLLOWDIAMOND

      public static final String HOLLOWDIAMOND
    • CB_POINTCOLORS

      public static final String CB_POINTCOLORS
      Point color class break information consisting of three entries: class-break attribute, class-break values/ranges, and point color values. This option overrides the pointcolor option if both are provided. Class-break ranges are represented in the form of “min:max”. Class-break values/ranges and point color values are separated by cb_delimiter, e.g. “price”, “20:30;30:40;40:50”, “0xFF0000;0x00FF00;0x0000FF”.
    • CB_POINTSIZES

      public static final String CB_POINTSIZES
      Point size class break information consisting of three entries: class-break attribute, class-break values/ranges, and point size values. This option overrides the pointsize option if both are provided. Class-break ranges are represented in the form of “min:max”. Class-break values/ranges and point size values are separated by cb_delimiter, e.g. “states”, “NY;TX;CA”, “3;5;7”.
    • CB_POINTSHAPES

      public static final String CB_POINTSHAPES
      Point shape class break information consisting of three entries: class-break attribute, class-break values/ranges, and point shape names. This option overrides the pointshape option if both are provided. Class-break ranges are represented in the form of “min:max”. Class-break values/ranges and point shape names are separated by cb_delimiter, e.g. “states”, “NY;TX;CA”, “circle;square;diamond”.
    • CB_DELIMITER

      public static final String CB_DELIMITER
      A character or string which separates per-class values in a class-break style option string. The default value is ’;’.
    • X_ORDER_BY

      public static final String X_ORDER_BY
      An expression or aggregate expression by which non-numeric x column values are sorted, e.g. “avg(price) descending”.
    • Y_ORDER_BY

      public static final String Y_ORDER_BY
      An expression or aggregate expression by which non-numeric y column values are sorted, e.g. “avg(price)”, which defaults to “avg(price) ascending”.
    • SCALE_TYPE_X

      public static final String SCALE_TYPE_X
      Type of x axis scale. Supported values:
      • NONE: No scale is applied to the x axis.
      • LOG: A base-10 log scale is applied to the x axis.
      The default value is NONE.
    • LOG

      public static final String LOG
      A base-10 log scale is applied to the y axis.
    • SCALE_TYPE_Y

      public static final String SCALE_TYPE_Y
      Type of y axis scale. Supported values:
      • NONE: No scale is applied to the y axis.
      • LOG: A base-10 log scale is applied to the y axis.
      The default value is NONE.
    • MIN_MAX_SCALED

      public static final String MIN_MAX_SCALED
      If this options is set to FALSE, this endpoint expects request’s min/max values are not yet scaled. They will be scaled according to scale_type_x or scale_type_y for response. If this options is set to TRUE, this endpoint expects request’s min/max values are already scaled according to scale_type_x/scale_type_y. Response’s min/max values will be equal to request’s min/max values. The default value is ‘false’.
    • JITTER_X

      public static final String JITTER_X
      Amplitude of horizontal jitter applied to non-numeric x column values. The default value is ‘0.0’.
    • JITTER_Y

      public static final String JITTER_Y
      Amplitude of vertical jitter applied to non-numeric y column values. The default value is ‘0.0’.
    • PLOT_ALL

      public static final String PLOT_ALL
      If this options is set to TRUE, all non-numeric column values are plotted ignoring min_x, max_x, min_y and max_y parameters. The default value is ‘false’.